<?php
/**
 * Theme Custom Functions
 *
 * Functions used in the theme
 */
 

/**
 * Warrior Menu
 *
 * Function to echo the menu list
 * @copyright Copyright (c) 2010, Warrior
 */

function warrior_wp_nav_menu( $args = array() ) {
	$args['echo']=0;
	$results = wp_nav_menu( $args);

	if (!empty($results)){
		$data = explode('title="',$results);
		for ($i=1; $i < count($data); $i++) {
			$temp = '';
			$title = '';
			$start_el = '';
			$end_el = '';
			$start_pos = strpos($data[$i],'</a>');
			if ( strpos($data[$i],'</a>') !== false ){
				// divide into 2 part
				$start_el = substr($data[$i],0,$start_pos);
				$end_el = substr($data[$i],$start_pos);
				
				//search the title 
				$start_pos1 = strpos($start_el,'"') + 1;
				$title = substr($start_el,0,$start_pos1);
				
				//remove the title form the 1st part
				$start_el = str_replace($title,'',$start_el);
				$title = trim(str_replace('"','',$title));
				$start_el.= ' <em class="desc">'.$title.'</em>';
				$data[$i] = $start_el.$end_el;
			 }
		}
		$results = implode("",$data);
	}
	echo $results;
}


/**
 * Warrior Comments
 *
 * Function to load comment list
 */
function warrior_comment_list($comment, $args, $depth) {
	$GLOBALS['comment'] = $comment;
?>
    <li id="comment-<?php comment_ID() ?>" <?php comment_class(); ?>>
        <div class="wrapper">
            <div class="gravatar"><?php echo get_avatar( $comment, 50 ); ?></div>
            <div class="text">
                <?php comment_text(); ?>
                <?php if ($comment->comment_approved == '0') : ?>
                    <div class="moderate clearfix">
                        <?php _e('Your comment is now awaiting moderation before it will appear on this post.', 'warrior');?>
                    </div>
                <?php endif; ?>
            </div>
            <div class="meta">
                <?php comment_author_link() ?> <?php _e('on', 'warrior');?> <?php comment_time('F jS, Y') ?>
                <?php echo comment_reply_link(array('before' => '<span class="reply">', 'after' => '</span>', 'reply_text' => __('Reply This Comment', 'warrior'), 'depth' => $depth, 'max_depth' => $args['max_depth'] ));  ?> :: <?php edit_comment_link(__('Edit Comment', 'warrior'), '&nbsp;', ''); ?>
            </div>
        </div>
    </li>
<?php
}


/**
 * Warrior Trim Title Function
 *
 * Function to cut string/text
 * @param Integer $length Word count
 * @return String The text after trim
 */

function warrior_post_title( $length, $cut = true ) {
	$title = get_the_title();
	mb_strlen( $title );
	
	if ( strlen($title) <= $length ) { 
	return $title;
	}
	
	$last_space = strrpos(substr($title, 0, $length), ' ');
	$cut_text = substr($title, 0, $last_space);
	
	
	if ($cut) {
		$cut_text .= '...';
	}
	
	return $cut_text;
}


/**
 * Warrior Excerpt Function
 *
 * Function to cut title
 * @param Integer $length Word count
 * @return String The text after trim
 */

function warrior_excerpt( $length, $ending = '...',  $cut = true ) {
	$excerpt = get_the_excerpt();
	mb_strlen( $excerpt );

	if ( strlen($excerpt) <= $length ) { 
		return $excerpt;
	}
	
	$last_space = strrpos(substr($excerpt, 0, $length), ' ');
	$cut_text = substr($excerpt, 0, $last_space);

	if ($cut) {
		$cut_text .= '...';
	}

	return $cut_text;
}


/**
 * Warrior Generators
 *
 * Function to generate meta generators containing theme name,
 * theme version and WarriorPanel version
 */
function warrior_generators() {
	$output = '';
	$output .= '<meta name="generator" content="'.get_current_theme().'" />'. "\n";
	$output .= '<meta name="generator" content="ThemeWarrior"/>'. "\n";
	echo $output;
}
add_action( 'wp_head', 'warrior_generators' );



/**
 * Warrior IE6 Warning
 *
 * Function to load IE6 warning page
 */
function warrior_ie6_warning () {
	if ( strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE 6.') == true ) {
		include( TEMPLATEPATH . '/includes/ie6-warning.php' );
		exit;
	}
}


// Set date format
update_option($shortname . '_date_format', get_option('date_format') .' - '. get_option('time_format'));
?>