<?php
/**
* List of theme support functions
*/


// Check if the function exist
if ( function_exists( 'add_theme_support' ) ){
	// Add post thumbnail feature
	add_theme_support( 'post-thumbnails' );
	add_image_size('post-thumb', 150, 150, true); // Category and Index thumbnail
	add_image_size('featured', 300, 300, true); // Featured slider image
	add_image_size('small-thumb', 60, 60, true); // Widget thumbnail
	
	// Add WordPress navigation menus
	function warrior_nav_menu(){
		add_theme_support('nav-menus');
		register_nav_menus( array(
			'cat-menu' => __( 'Categories Menu', 'warrior' ),
			'pages-menu' => __( 'Pages Menu', 'warrior' ),
		) );
	}
	
	// Add custom background feature 
	add_custom_background();
	
	// Add default posts and comments RSS feed links to head
	add_theme_support( 'automatic-feed-links' );
}

// Theme Localization
load_theme_textdomain('warrior', get_template_directory().'/lang');

// Set maximum image width displayed in a single post or page
if ( ! isset( $content_width ) ) {
	$content_width = 600;
}
?>