<?php
/**
 * Warrior Admin
 *
 * Function to add admin functionality
 * @copyright Copyright (c) 2010, Warrior
 */

function warrior_theme_admin() {
	add_submenu_page ('themes.php', 'Premium Wordpress Themes by ThemeWarrior', 'Buy Pro Version', 'administrator', 'warriorpanel', 'warrior_page_themes');
}
add_action('admin_menu', 'warrior_theme_admin');


function warrior_page_themes() {
?>
<div id="warriorthemes" class="wrap">
	<?php screen_icon(); ?>
	<h2><?php _e('Premium Wordpress Themes by', 'warrior'); ?></h2>
	<a href="http://www.themewarrior.com/" class="warriorlogo" title="<?php _e('Premium Wordpress Themes', 'warrior'); ?>"><img src="<?php bloginfo('template_url'); ?>/functions/warriorpanel/images/logo.png" alt="Premium Wordpress Themes" /></a>
    <div id="availablethemes">
<?php
	// Get the xml data from the theme warrior RSS
	$filename = 'http://www.themewarrior.com/category/themes/feed/';
	$xmlobj =  simplexml_load_file ( $filename  );
	
	foreach ( $xmlobj->channel->item as $item ) {
		$namespaces = $item->getNameSpaces(true);
		$c = $item->children($namespaces['c']);
?>		
		<div class="available-theme">
			<a class="screenshot" href="<?php echo $item->link; ?>">
				<img alt="<?php echo $item->title; ?>" src="<?php echo $c->thumbnail; ?>">
			</a>
			<h3><a href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a> <small><?php echo $c->current_version . ' ' . __('by', 'warrior') . ' ' . $c->designer; ?></small></h3>
			<p class="description">
			<?php echo $item->description; ?>
			</p>
			<p>
				<a href="http://demo.themewarrior.com/?theme=<?php echo str_replace(' ', '-', strtolower($item->title)); ?>" class="button-primary"><?php _e('View Demo', 'warrior'); ?></a>
				<a href="<?php echo $item->link; ?>#buy" class="button-primary"><?php _e('Buy Now', 'warrior'); ?></a>
			</p>
        </div>
<?php
	}
?>
	</div>
</div>
<?php
}


function warrior_theme_style() { 
?>
<style type="text/css">
#warriorthemes {
	position: relative;
}
#warriorthemes .warriorlogo {
	position: absolute;
	top: 1px;
	left: 31.5em;
}
#warriorthemes #availablethemes {
	margin-top: 1em;
}
#warriorthemes .screenshot {
	height: 165px;
}
</style>	
<?php
}
add_action( 'admin_footer', 'warrior_theme_style' ); 
?>