<?php
/**
 * Warrior About Me Widgets
 *
 * This file contains About widget
 * @copyright Copyright (c) 2010, Warrior
 */
// Widgets
add_action( 'widgets_init', 'warrior_about_widget' );

// Register our widget
function warrior_about_widget() {
	register_widget( 'Warrior_About' );
}

// Warrior Latest Posts Widget
class Warrior_About extends WP_Widget {

	//  Setting up the widget
	function Warrior_About() {
		$widget_ops  = array( 'classname' => 'warrior_about', 'description' => __('Warrior About Widget', 'warrior_about') );
		$control_ops = array( 'id_base' => 'warrior_about', 'width' => '300' );

		$this->WP_Widget( 'warrior_about', __('Warrior About', 'about'), $widget_ops, $control_ops );
	}

	function widget( $args, $instance ) {
		extract( $args );

		$warrior_about_title     = $instance['warrior_about_title'];
		$warrior_about_text      = $instance['warrior_about_text'];
		$warrior_about_image_url = $instance['warrior_about_image_url'];
		
		echo $before_widget;
?>

		<?php echo $before_title . $warrior_about_title . $after_title; ?>
        <div class="inner">
        	<?php if ($warrior_about_image_url): ?>
            <div class="thumb">
                <img src="<?php bloginfo('template_url'); ?>/timthumb.php?src=<?php echo $warrior_about_image_url; ?>&amp;w=50&amp;h=50" alt="" />
            </div>
            <?php endif; ?>
            <?php echo $warrior_about_text; ?>
        </div>
<?php
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		$instance['warrior_about_title'] 		= strip_tags( $new_instance['warrior_about_title'] );
		$instance['warrior_about_text'] 		= stripslashes( $new_instance['warrior_about_text'] );
		$instance['warrior_about_image_url']	= strip_tags( $new_instance['warrior_about_image_url'] );

		return $instance;
	}

	function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array('warrior_about_title' => '', 'warrior_about_text' => '', 'warrior_about_image_url' => '') );
	?>
        <p>
            <label for="<?php echo $this->get_field_id( 'warrior_about_title' ); ?>"><?php _e('Title:', 'warrior'); ?></label>
            <input id="<?php echo $this->get_field_id( 'warrior_about_title' ); ?>" class="widefat" name="<?php echo $this->get_field_name( 'warrior_about_title' ); ?>" value="<?php echo $instance['warrior_about_title']; ?>" />
        </p>
        <p>
            <label for="<?php echo $this->get_field_id( 'warrior_about_text' ); ?>"><?php _e('About Text:', 'warrior'); ?></label>
            <textarea id="<?php echo $this->get_field_id( 'warrior_about_text' ); ?>" class="widefat" name="<?php echo $this->get_field_name( 'warrior_about_text' ); ?>" rows="10"><?php echo $instance['warrior_about_text']; ?></textarea>
        </p>
        <p>
            <label for="<?php echo $this->get_field_id( 'warrior_about_image_url' ); ?>"><?php _e('Image URL:', 'warrior'); ?></label>
            <input id="<?php echo $this->get_field_id( 'warrior_about_image_url' ); ?>" class="widefat" name="<?php echo $this->get_field_name( 'warrior_about_image_url' ); ?>" value="<?php echo $instance['warrior_about_image_url']; ?>" />
        </p>
	<?php
	}
}
?>