<?php
/**
 * Warrior Flickr Widgets
 *
 * This file contains flickr widget
 * @copyright Copyright (c) 2010, Warrior
 */
 
// Widgets
add_action( 'widgets_init', 'flickr_load_widgets' );

// Register our widget
function flickr_load_widgets() {
	register_widget( 'Warrior_Flickr' );
}

// Warrior Flickr Widget
class Warrior_Flickr extends WP_Widget {

	//  Setting up the widget
	function Warrior_Flickr() {
		$widget_ops  = array( 'classname' => 'warrior_flickr', 'description' => __('Flickr Photos widget', 'warrior') );
		$control_ops = array( 'id_base' => 'warrior_flickr' );

		$this->WP_Widget( 'warrior_flickr', __('Warrior Flickr', 'warrior'), $widget_ops, $control_ops );
	}

	function widget( $args, $instance ) {
		extract( $args );

		$warrior_flickr_title = apply_filters('widget_title', $instance['warrior_flickr_title'] );
		$warrior_flickr_id    = $instance['warrior_flickr_id'];

		echo $before_widget;

		if ( $warrior_flickr_title )
			echo $before_title . $warrior_flickr_title . $after_title;

		if ( $warrior_flickr_id )
			printf('<div id="flickr"><script type="text/javascript" src="http://www.flickr.com/badge_code_v2.gne?show_name=1&amp;count=9&amp;display=latest&amp;size=s&amp;layout=h&amp;source=user&amp;user=%1$s"></script></div>', $warrior_flickr_id);

		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		$instance['warrior_flickr_title'] = strip_tags( $new_instance['warrior_flickr_title'] );
		$instance['warrior_flickr_id']    = strip_tags( $new_instance['warrior_flickr_id'] );

		return $instance;
	}

	function form( $instance ) {
		$instance = wp_parse_args( (array) $instance, array('warrior_flickr_title' => __('Flickr Photos', 'warrior'), 'warrior_flickr_id' => '') );
	?>
		<p>
			<label for="<?php echo $this->get_field_id( 'warrior_flickr_title' ); ?>"><?php _e('Widget Title:', 'warrior'); ?></label>
			<input id="<?php echo $this->get_field_id( 'warrior_flickr_title' ); ?>" class="widefat" name="<?php echo $this->get_field_name( 'warrior_flickr_title' ); ?>" value="<?php echo $instance['warrior_flickr_title']; ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'warrior_flickr_id' ); ?>"><?php _e('Flickr ID (e.g 79988198@N00):', 'warrior'); ?></label>
			<input id="<?php echo $this->get_field_id( 'warrior_flickr_id' ); ?>" class="widefat" name="<?php echo $this->get_field_name( 'warrior_flickr_id' ); ?>" value="<?php echo $instance['warrior_flickr_id']; ?>" />
            <p><?php _e('Don\'t know your Flickr ID? Get it from <a href="http://idgettr.com" target="_blank">IDGetter</a>', 'warrior'); ?></p>
		</p>
	<?php
	}
}
?>